# Interface PanoPrepareEvent

全景图准备事件

interface PanoPrepareEvent {
defaultPrevented: boolean;
options: MovePanoOptions;
pano: Pano;
prevMode: Mode;
prevPano: Pano;
timeStamp: number;
type: string;
preventDefault(): void;
waitUntil(f: Promise<any>): void;
}

#### Hierarchy (View Summary)

- BaseExtendableEvent
  - PanoPrepareEvent

- Defined in lib/five/utils/event.ts:63

##### Index

### Properties

defaultPrevented
options
pano
prevMode
prevPano
timeStamp
type

### Methods

preventDefault
waitUntil

## Properties

### `Readonly` defaultPrevented

defaultPrevented: boolean

是否已调用过 preventDefault

Inherited from BaseExtendableEvent.defaultPrevented

- Defined in lib/five/utils/event.ts:23

### options

options: MovePanoOptions

切换时选项

- Defined in lib/five/utils/event.ts:65

### pano

pano: Pano

全景图

- Defined in lib/five/utils/event.ts:71

### prevMode

prevMode: Mode

切换前模态

- Defined in lib/five/utils/event.ts:67

### prevPano

prevPano: Pano

切换前的全景图

- Defined in lib/five/utils/event.ts:69

### timeStamp

timeStamp: number

事件触发时的时间戳

Inherited from BaseExtendableEvent.timeStamp

- Defined in lib/five/utils/event.ts:19

### type

type: string

事件类型名称

Inherited from BaseExtendableEvent.type

- Defined in lib/five/utils/event.ts:17

## Methods

### preventDefault

- preventDefault(): void

  阻止事件的默认行为

  #### Returns void

  Inherited from BaseExtendableEvent.preventDefault

  - Defined in lib/five/utils/event.ts:21

### waitUntil

- waitUntil(f: Promise<any>): void

  #### Parameters

  - f: Promise<any>

  #### Returns void

  Inherited from BaseExtendableEvent.waitUntil

  - Defined in lib/five/utils/event.ts:27